local BrothelSystemMod = ...


------------------------------BROTHEL WORKPLACE---------------------------------

-----------------------------------MODEL----------------------------------------
-- Register core prefab nodes
BrothelSystemMod:registerAssetId("models/brothel.fbx/Prefab/Brothel", "BROTHEL_CORE_PREFAB")
BrothelSystemMod:registerPrefabComponent("models/brothel.fbx/Prefab/Brothel", 
{
    DataType = "COMP_BUILDING_PART",
    HasBuildingZone = true,
    BuildingZone = { 3, 3 }
})

-- Register the brothel workplace part
BrothelSystemMod:register({
	DataType = "BUILDING_PART",
	Id = "BROTHEL_WORKPLACE_PART",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "BROTHEL_CORE_PREFAB"
	},
--Ca c'est pour déclarer le visuel de construction si il y en a un !
	ConstructionVisual = "BROTHEL_CORE_PREFAB",
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 1 }
		},
		RessourcesNeeded = { 
			{ Resource = "WOOD", Quantity = 5 }
		}
	},
	AssetBuildingFunction = "BROTHEL_FUNCTION"
})

-----------------------------------FUNCTION----------------------------------------

BrothelSystemMod:register({
	DataType = "BUILDING_FUNCTION_WORKPLACE",
	Id = "BROTHEL_FUNCTION",
	WorkerCapacity = 5,                
	RelatedJob = { 
		Job = "HOOKER", Behavior = "WORK_BEHAVIOR" 
	},
	InputInventoryCapacity = {
		{ Resource = "WOOLEN_CLOTH", Quantity = 50 }
	},
	ResourceListNeeded = {
		{ Resource = "WOOLEN_CLOTH", Quantity = 1 }
	},
	ResourceProduced = {
		{ Resource = "BARREL", Quantity = 1 }
	}
})